#
# spec file for package libdvd-audio
#
# Copyright (c) 2018 Packman Team <packman@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#


%define sover   1
Name:           libdvd-audio
Version:        1.0.0
Release:        1699.3.pm.7
Summary:        DVD-A Decoding Library
License:        GPL-2.0-only AND LGPL-3.0-only
Group:          System/Libraries
URL:            https://github.com/tuffy/libdvd-audio
Source0:        https://github.com/tuffy/libdvd-audio/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source99:       %{name}-rpmlintrc
# PATCH-FIX-OPENSUSE libdvd-audio-Makefile.patch
Patch0:         %{name}-Makefile.patch
BuildRequires:  m4
BuildRequires:  pkgconfig
BuildRequires:  python3-Sphinx

%package -n %{name}%{sover}
Summary:        DVD-A Decoding Library
Group:          System/Libraries

%package utils
Summary:        DVD-A Decoding Utilities
Group:          Productivity/Multimedia/Other

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name}%{sover} = %{version}

%package doc
Summary:        Documentation for %{name}
Group:          Documentation/HTML
BuildArch:      noarch

%description
This is a C library for decoding the audio contents of DVD-Audio discs.

%description -n %{name}%{sover}
This is a C library for decoding the audio contents of DVD-Audio discs.

%description utils
This package provides utilities for decoding the audio contents of DVD-Audio discs using %{name}.

%description devel
The %{name}-devel package contains libraries and header files for developing applications that use %{name}.

%description doc
This package contains the documentation for %{name}.

%prep
%setup -q
%patch -P 0

%build
make %{?_smp_mflags}
make html man -C docs

%install
%make_install LIB_DIR=%{_libdir}
install -D -m0644 docs/build/man/dvd-audiolibrary.1 %{buildroot}%{_mandir}/man1/dvd-audiolibrary.1
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}
rm -f docs/build/html/{.buildinfo,objects.inv}
cp -a -t %{buildroot}%{_defaultdocdir}/%{name} COPYING TODO docs/build/html

%post -n %{name}%{sover} -p /sbin/ldconfig
%postun -n %{name}%{sover} -p /sbin/ldconfig

%files -n %{name}%{sover}
%{_libdir}/%{name}.so.%{sover}*
%{_mandir}/man1/dvd-audiolibrary.1%{ext_man}

%files utils
%{_bindir}/dvda-debug-info
%{_bindir}/dvda2wav

%files devel
%{_includedir}/dvd-audio.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files doc
%{_defaultdocdir}/%{name}/

%changelog
* Thu Sep  7 2023 Bernhard M. Wiedemann <packmanbmw@lsmod.de>
- Fix corruption in man pages from parallel sphinx runs
* Sat Mar 10 2018 aloisio@gmx.com
- Initial package (version 1.0.0). Thanks @marec2000
